> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ondo.finance/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Shares Multiplier History for an Asset

> This endpoint retrieves the shares multiplier history for a specific asset. Note that some asset events do not result in the shares multiplier value changing. This endpoint will show the earliest timestamp for each value change.

The `range` parameter determines how far back historically to look for shares multiplier data. See below for valid range values.

Valid `range` values:
- 1day
- 1month
- 3month
- 6month
- 1year
- all *(all historical data)*

For caching details on this endpoint, please see: [Endpoint Caching](https://docs.ondo.finance/api-reference/endpoint-caching).




## OpenAPI

````yaml /gm-be-api-spec.json get /v1/assets/{symbol}/shares-multiplier
openapi: 3.0.4
info:
  title: GM Backend API
  description: An API spec for the Ondo GM Backend API.
  version: 1.0.0
servers:
  - url: https://api.gm.ondo.finance
    description: GM Backend API
security: []
tags:
  - name: Attestations
    description: Get Mint and Redeem Attestations
  - name: Assets
    description: Get Asset Price Information
  - name: Tickers
    description: Get Ticker Information
  - name: Chains
    description: Get On Chain Data
  - name: Limits
    description: Get Trading Limits
  - name: Status
    description: Get Market and Trading Statuses
paths:
  /v1/assets/{symbol}/shares-multiplier:
    get:
      tags:
        - Assets
      summary: Get Shares Multiplier History for an Asset
      description: >
        This endpoint retrieves the shares multiplier history for a specific
        asset. Note that some asset events do not result in the shares
        multiplier value changing. This endpoint will show the earliest
        timestamp for each value change.


        The `range` parameter determines how far back historically to look for
        shares multiplier data. See below for valid range values.


        Valid `range` values:

        - 1day

        - 1month

        - 3month

        - 6month

        - 1year

        - all *(all historical data)*


        For caching details on this endpoint, please see: [Endpoint
        Caching](https://docs.ondo.finance/api-reference/endpoint-caching).
      operationId: getSharesMultiplier
      parameters:
        - name: symbol
          in: path
          description: The GM token symbol
          example: AAPLon
          required: true
          schema:
            type: string
        - name: range
          in: query
          description: The lookback range for historical data.
          required: true
          schema:
            $ref: '#/components/schemas/RangeEnum'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SharesMultiplierResponse'
              example:
                history:
                  - sharesMultiplier: '0.481891643381832405'
                    changeTimestamp: 1762736520093
                  - sharesMultiplier: '0.481566453805576042'
                    changeTimestamp: 1754870400044
                  - sharesMultiplier: '0.481185641420460013'
                    changeTimestamp: 1753992000000
                  - ...
                timestamp: 1770161184102
        '400':
          description: >-
            One of the request parameters is invalid. Please see the returned
            message and documentation for details.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                error:
                  value:
                    message: One of the request parameters is invalid.
                    documentation: https://docs.ondo.finance/api-reference/error-codes
                    code: INVALID_SYMBOL
        '401':
          description: Missing or invalid API key.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                error:
                  value:
                    message: missing API key
                    code: MISSING_API_KEY
        '404':
          description: >-
            The provided asset symbol does not exist and cannot be found. Please
            see the returned message and documentation for details.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                error:
                  value:
                    message: >-
                      The provided asset symbol does not exist and cannot be
                      found.
                    code: ASSET_NOT_FOUND
        '500':
          description: >-
            An internal server error occurred. Please see the returned message
            and documentation for details.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                error:
                  value:
                    message: >-
                      An internal server error occurred. Please see the returned
                      message and documentation for details.
                    code: INTERNAL_ERROR
      security:
        - apiKey: []
components:
  schemas:
    RangeEnum:
      type: string
      description: >-
        The look back range for historical data. (Note that '1day' will return a
        rolling 24-hour period of data and 'all' will return all historical
        data.)
      enum:
        - 1day
        - 1month
        - 3month
        - 6month
        - 1year
        - all
    SharesMultiplierResponse:
      type: object
      properties:
        history:
          type: array
          items:
            $ref: '#/components/schemas/SharesMultiplierDataPoint'
        timestamp:
          type: number
          description: The Unix timestamp in milliseconds when the data point was recorded.
          example: 1746655938000
      required:
        - history
        - timestamp
    ErrorResponse:
      type: object
      properties:
        message:
          type: string
          description: A human-readable message providing more details about the error.
        documentation:
          type: string
          description: A URL to the relevant documentation for this error.
        code:
          type: string
          description: >-
            A reason code identifying the specific type of error. See the Error
            Codes reference for a full list of possible values.
      required:
        - code
        - message
    SharesMultiplierDataPoint:
      type: object
      properties:
        sharesMultiplier:
          type: string
          description: >-
            The number of shares each token is equivalent to, represented as a
            string-encoded decimal with up to 18 digits after the decimal point.
          example: '1.25'
        changeTimestamp:
          type: number
          description: >-
            The Unix timestamp in milliseconds when this `sharesMultiplier`
            value was first set.
          example: 1746655938000
      required:
        - sharesMultiplier
        - changeTimestamp
  securitySchemes:
    apiKey:
      type: apiKey
      name: x-api-key
      in: header

````